



#include <vector>
#include <string>

#include "HUDWaypoints.h"
#include "core/CoreIncludes.h"
#include "core/XMLPort.h"
#include "util/Convert.h"
#include "core/class/Super.h"
#include "pickup/Pickup.h"
#include "pickup/PickupManager.h"

namespace orxonox 
{
	RegisterClass(HUDWaypoints);

		HUDWaypoints::HUDWaypoints(Context* context) : OrxonoxOverlay(context)
    {
        RegisterObject(HUDWaypoints);

        overlayElement_ = static_cast<Ogre::PanelOverlayElement* >(Ogre::OverlayManager::getSingleton().createOverlayElement("Panel", "HUDWaypoints" + getUniqueNumberString()));
        overlayElement_->setMaterialName("PickupBar");
        overlayElement_->setPosition(0.0f,0.0f);
        overlayElement_->setDimensions(0.35f,0.075f);
        this->background_->addChild(overlayElement_);
    }


    HUDWaypoints::~HUDWaypoints()
    {
       /* if (this->isInitialized())
        {
            this->picks.clear();
        }*/
    }


}
